#Persistent
#SingleInstance, Force
SetBatchLines, -1
#NoEnv
#InstallKeybdHook
SetTitleMatchMode, 2
CoordMode, Mouse, Screen
overlay := false
deadzone := 10
deadzoneX := Floor(deadzone*0.9)
deadzoneY := Floor(deadzone*1.6)

#IfWinActive MONSTER HUNTER PORTABLE 3rd HD Ver
#if !overlay
~LButton::i
return
#IfWinActive

#IfWinActive MONSTER HUNTER PORTABLE 3rd HD Ver
~+Tab::
overlay := !overlay
if (overlay = true)
{
  SystemCursor(1)
  tooltip, Steam Overlay mode
  SetTimer, RemoveToolTip, 1500
  y := "0"
}
else
{
  tooltip, Overlay closed
  SetTimer, RemoveToolTip, 1500
  SystemCursor(0)
}
return
~Esc::
if (overlay = true)
{
  SystemCursor(1)
  tooltip, Steam Overlay escaped
  SetTimer, RemoveToolTip, 1500
  y := "0"
  overlay := false
}
return
#IfWinActive



RemoveToolTip:
SetTimer, RemoveToolTip, Off
ToolTip,
return



Alt::
{
  SystemCursor(0)
  SetMouseDelay, -1
  SetKeyDelay, -1
  mousegetpos, start_x, start_y
  Sleep, 1
  y := "1"
  while y = "1"
  {
    mousegetpos, current_x, current_y
    if (current_x > start_x + deadzoneX) or (current_x < start_x - deadzoneX) or (current_y > start_y + deadzoneY) or (current_y < start_y - deadzoneY)
    {
      MouseMove, start_x, start_y
    }
    if (current_x > start_x + deadzoneX)
    {
      if (xpress = "")
      {
        xpress := "Right"
        sendinput, {Right down}
      }
      else if (xpress= "Left")
      {
        xpress := "Right"
        sendinput, {Left up}
        sendinput, {Right down}
      }
    }
    else if (current_x < start_x - deadzoneX)
    {
      if (xpress = "")
      {
        xpress := "Left"
        sendinput, {Left down}
      }
      else if (xpress = "Right")
      {
        xpress := "Left"
        sendinput, {Right up}
        sendinput, {Left down}
      }
    }
    else if (current_x < start_x + deadzoneX) and (current_x > start_x - deadzoneX)
    {
      if (xpress = "Right")
      {
        sendinput, {Right up}
      }
      else if (xpress= "Left")
      {
        sendinput, {Left up}
      }
      xpress := ""
    }
    if (current_y > start_y + deadzoneY)
    {
      if (ypress = "")
      {
        ypress := "Down"
        sendinput, {Down down}
      }
      else if (ypress= "Up")
      {
        ypress := "Down"
        sendinput, {Up up}
        sendinput, {Down down}
      }
    }
    else if (current_y < start_y - deadzoneY)
    {
      if (ypress = "")
      {
        ypress := "Up"
        sendinput, {Up down}
      }
      else if (ypress = "Down")
      {
        ypress := "Up"
        sendinput, {Down up}
        sendinput, {Up down}
      }
    }
    else if (current_y < start_y + deadzoneY) and (current_y > start_y - deadzoneY)
    {
      if (ypress = "Up")
      {
        sendinput, {Up up}
      }
      else if (ypress = "Down")
      {
        sendinput, {Down up}
      }
      ypress := ""
    }
    if getkeystate("RCtrl", "p")
        {
             y := "0"
             SystemCursor(1)
        }
      Sleep, 20
    }
}

SystemCursor(OnOff=1)   ; INIT = "I","Init"; OFF = 0,"Off"; TOGGLE = -1,"T","Toggle"; ON = others
{
  static AndMask, XorMask, $, h_cursor
  ,c0,c1,c2,c3,c4,c5,c6,c7,c8,c9,c10,c11,c12,c13  ; system cursorsi
  , b1,b2,b3,b4,b5,b6,b7,b8,b9,b10,b11,b12,b13  ; blank cursors
  , h1,h2,h3,h4,h5,h6,h7,h8,h9,h10,h11,h12,h13  ; handles of default cursors
  if (OnOff = "Init" or OnOff = "I" or $ = "")       ; init when requested or at first call
  {
    $ = h                                           ; active default cursors
    VarSetCapacity( h_cursor,4444, 1 )
    VarSetCapacity( AndMask, 32*4, 0xFF )
    VarSetCapacity( XorMask, 32*4, 0 )
    system_cursors = 32512,32513,32514,32515,32516,32642,32643,32644,32645,32646,32648,32649,32650
    StringSplit c, system_cursors, `,
    Loop %c0%
    {
      h_cursor   := DllCall( "LoadCursor", "uint",0, "uint",c%A_Index% )
      h%A_Index% := DllCall( "CopyImage",  "uint",h_cursor, "uint",2, "int",0, "int",0, "uint",0 )
      b%A_Index% := DllCall("CreateCursor","uint",0, "int",0, "int",0
      , "int",32, "int",32, "uint",&AndMask, "uint",&XorMask )
    }
  }
  if (OnOff = 0 or OnOff = "Off" or $ = "h" and (OnOff < 0 or OnOff = "Toggle" or OnOff = "T"))
  $ = b       ; use blank cursors
  else
  $ = h       ; use the saved cursors

  Loop %c0%
  {
    h_cursor := DllCall( "CopyImage", "uint",%$%%A_Index%, "uint",2, "int",0, "int",0, "uint",0 )
    DllCall( "SetSystemCursor", "uint",h_cursor, "uint",c%A_Index% )
  }
}
return


OnExit, ShowCursor
return

ShowCursor:
SystemCursor("On")
ExitApp

end::
SystemCursor(1)
exitapp
